[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [tor/master] Don't preprocess torify
commit f8c45339f72525c6826d6db6a5e2acc4d7475952
Author: guilhem <tor@xxxxxxxxxxx>
Date: Sat Sep 28 16:08:15 2013 -0400
Don't preprocess torify
Since torify has been removed from tsocks, it doesn't need to be
preprocessed. Closes #5505.
---
.gitignore | 2 --
configure.ac | 1 -
contrib/torify | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++++
contrib/torify.in | 61 -----------------------------------------------------
doc/include.am | 10 ++++-----
5 files changed, 65 insertions(+), 70 deletions(-)
diff --git a/.gitignore b/.gitignore
index 201d04d..65f4d3f 100644
--- a/.gitignore
+++ b/.gitignore
@@ -110,9 +110,7 @@
/doc/tor-resolve.html.in
/doc/tor-resolve.1.xml
/doc/torify.1
-/doc/torify.1.in
/doc/torify.html
-/doc/torify.html.in
/doc/torify.1.xml
# /doc/spec/
diff --git a/configure.ac b/configure.ac
index 7259d88..2dd3a1e 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1488,7 +1488,6 @@ AC_CONFIG_FILES([
contrib/tor.logrotate
contrib/tor.sh
contrib/torctl
- contrib/torify
src/config/torrc.sample
])
diff --git a/contrib/torify b/contrib/torify
new file mode 100755
index 0000000..54acfed
--- /dev/null
+++ b/contrib/torify
@@ -0,0 +1,61 @@
+#! /bin/sh
+
+# This script used to call (the now deprecated) tsocks as a fallback in case
+# torsocks wasn't installed.
+# Now, it's just a backwards compatible shim around torsocks with reasonable
+# behavior if -v/--verbose or -h/--help arguments are passed.
+#
+# Copyright (c) 2004, 2006, 2009 Peter Palfrader
+# Modified by Jacob Appelbaum <jacob@xxxxxxxxxxxxx> April 16th 2006
+# Stripped of all the tsocks cruft by ugh on February 22nd 2012
+# May be distributed under the same terms as Tor itself
+
+
+compat() {
+ echo "torify is now just a wrapper around torsocks(1) for backwards compatibility."
+}
+
+usage() {
+ compat
+ echo "Usage: $0 [-hv] <command> [<options>...]"
+}
+
+case $# in 0)
+ usage >&2
+ exit 1
+esac
+
+case $# in 1)
+ case $1 in -h|--help)
+ usage
+ exit 0
+ esac
+esac
+
+case $1 in -v|--verbose)
+ compat >&2
+ shift
+esac
+
+# taken from Debian's Developer's Reference, 6.4
+pathfind() {
+ OLDIFS="$IFS"
+ IFS=:
+ for p in $PATH; do
+ if [ -x "$p/$*" ]; then
+ IFS="$OLDIFS"
+ return 0
+ fi
+ done
+ IFS="$OLDIFS"
+ return 1
+}
+
+if pathfind torsocks; then
+ exec torsocks "$@"
+ echo "$0: Failed to exec torsocks $@" >&2
+ exit 1
+else
+ echo "$0: torsocks not found in your PATH. Perhaps it isn't installed? (tsocks is no longer supported, for security reasons.)" >&2
+fi
+
diff --git a/contrib/torify.in b/contrib/torify.in
deleted file mode 100755
index 54acfed..0000000
--- a/contrib/torify.in
+++ /dev/null
@@ -1,61 +0,0 @@
-#! /bin/sh
-
-# This script used to call (the now deprecated) tsocks as a fallback in case
-# torsocks wasn't installed.
-# Now, it's just a backwards compatible shim around torsocks with reasonable
-# behavior if -v/--verbose or -h/--help arguments are passed.
-#
-# Copyright (c) 2004, 2006, 2009 Peter Palfrader
-# Modified by Jacob Appelbaum <jacob@xxxxxxxxxxxxx> April 16th 2006
-# Stripped of all the tsocks cruft by ugh on February 22nd 2012
-# May be distributed under the same terms as Tor itself
-
-
-compat() {
- echo "torify is now just a wrapper around torsocks(1) for backwards compatibility."
-}
-
-usage() {
- compat
- echo "Usage: $0 [-hv] <command> [<options>...]"
-}
-
-case $# in 0)
- usage >&2
- exit 1
-esac
-
-case $# in 1)
- case $1 in -h|--help)
- usage
- exit 0
- esac
-esac
-
-case $1 in -v|--verbose)
- compat >&2
- shift
-esac
-
-# taken from Debian's Developer's Reference, 6.4
-pathfind() {
- OLDIFS="$IFS"
- IFS=:
- for p in $PATH; do
- if [ -x "$p/$*" ]; then
- IFS="$OLDIFS"
- return 0
- fi
- done
- IFS="$OLDIFS"
- return 1
-}
-
-if pathfind torsocks; then
- exec torsocks "$@"
- echo "$0: Failed to exec torsocks $@" >&2
- exit 1
-else
- echo "$0: torsocks not found in your PATH. Perhaps it isn't installed? (tsocks is no longer supported, for security reasons.)" >&2
-fi
-
diff --git a/doc/include.am b/doc/include.am
index 9695292..37c0237 100644
--- a/doc/include.am
+++ b/doc/include.am
@@ -12,8 +12,8 @@
# part of the source distribution, so that people without asciidoc can
# just use the .1 and .html files.
-regular_mans = doc/tor doc/tor-gencert doc/tor-resolve doc/torify
-all_mans = $(regular_mans) doc/tor-fw-helper
+regular_mans = doc/tor doc/tor-gencert doc/tor-resolve
+all_mans = $(regular_mans) doc/torify doc/tor-fw-helper
if USE_ASCIIDOC
if USE_FW_HELPER
@@ -55,13 +55,11 @@ $(man_in) :
doc/tor.1.in: doc/tor.1.txt
doc/tor-gencert.1.in: doc/tor-gencert.1.txt
doc/tor-resolve.1.in: doc/tor-resolve.1.txt
-doc/torify.1.in: doc/torify.1.txt
doc/tor-fw-helper.1.in: doc/tor-fw-helper.1.txt
doc/tor.html.in: doc/tor.1.txt
doc/tor-gencert.html.in: doc/tor-gencert.1.txt
doc/tor-resolve.html.in: doc/tor-resolve.1.txt
-doc/torify.html.in: doc/torify.1.txt
doc/tor-fw-helper.html.in: doc/tor-fw-helper.1.txt
# use ../config.status to swap all machine-specific magic strings
@@ -76,13 +74,13 @@ $(asciidoc_product) :
doc/tor.html: doc/tor.html.in
doc/tor-gencert.html: doc/tor-gencert.html.in
doc/tor-resolve.html: doc/tor-resolve.html.in
-doc/torify.html: doc/torify.html.in
+doc/torify.html: doc/torify.1.txt
doc/tor-fw-helper.html: doc/tor-fw-helper.html.in
doc/tor.1: doc/tor.1.in
doc/tor-gencert.1: doc/tor-gencert.1.in
doc/tor-resolve.1: doc/tor-resolve.1.in
-doc/torify.1: doc/torify.1.in
+doc/torify.1: doc/torify.1.txt
doc/tor-fw-helper.1: doc/tor-fw-helper.1.in
CLEANFILES+= $(asciidoc_product) config.log
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits